[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TBits.SetIndex

Sets the start position for FindNextBit and FindPrevBit

## Declaration

Source position: classesh.inc line 414

`public procedure TBits.SetIndex(`
`Index: LongInt`
`);`

## Description

SetIndex sets the search start position forFindNextBit and FindPrevBit to Index. This means that these calls will start searching from position Index.

This mechanism provides an alternative to FindFirstBit which can also be used to position for the FindNextBit and FindPrevBit calls.

## Errors

None.

## See also

FindNextBit |  | Searches the next bit with a particular value.
FindPrevBit |  | Searches the previous bit with a particular value.
FindFirstBit |  | Find first bit with a particular value
OpenBit |  | Returns the position of the first bit that is set to False.